Updating versions of Sparky FE files
[aai/sparky-fe.git] / README.MD
1 # Sparky - Inventory UI Service\r
2 \r
3 ## Overview\r
4 _Sparky_ is a service that interacts with AAI and provides users a UI to view and analyze AAI data. The main goal behind _Sparky_ is providing a more user friendly and clear view of AAI data.\r
5 \r
6 This document covers cloning, installing, and running the front end (FE) portion of _Sparky_.\r
7 \r
8 ## Getting Started\r
9 \r
10 ### Building the _Sparky_ UI\r
11 \r
12 #### Clone the _Sparky_ FE repository\r
13 \r
14 Repository name is sparky-fe\r
15 \r
16 #### Install required tools\r
17 \r
18 Install node.js, including the Node Package Manager (NPM). Installing latest should be fun, but if that is causing issues then v6.10.1 will work.\r
19 \r
20 Install python, v2.7.13\r
21 \r
22 #### Install required packages\r
23 \r
24 Navigate to the top level project directory and run:\r
25 \r
26     > npm install\r
27 \r
28 #### Run or Build the Project\r
29 \r
30 To run the project:\r
31 \r
32     > npm start\r
33 \r
34 By default the local instance of the UI will be served to "https://localhost:8001/aai/#/viewInspect".\r
35 \r
36 This can be configured in the file "webpack.devConfig.js".\r
37 \r
38 To build the project (generates a .war file):\r
39 \r
40     > gulp build\r
41     \r
42 The build will create a directory called "dist" and add the "aai.war" file into said dist directory.\r
43 \r
44 If changes to the build flow are required, updating "webpack.config.js" and "gulpfile.js" will likely provide any build tuning required.\r
45 \r
46 ## Dependencies\r
47 \r
48 _Sparky_ UI requires:\r
49 \r
50 - _Sparky_ instance that will serve the UI

© 2017 ONAP. Copyright © The Linux Foundation ®. All Rights Reserved.
The Linux Foundation has registered trademarks and uses trademarks.
For a list of trademarks of The Linux Foundation, please see our Trademark Usage page.
Linux is a registered trademark of Linus Torvalds.
Privacy Policy and Terms of Use